GNU Radio 2.x: gr_nco< o_type, i_type > Class Template Reference

Main Page | Modules | Namespace List | Class Hierarchy | Class List | File List | Class Members | File Members

# gr_nco< o_type, i_type > Class Template Reference

`#include <gr_nco.h>`

List of all members.

## Detailed Description

### template<class o_type, class i_type>
class gr_nco< o_type, i_type >

base class template for Numerically Controlled Oscillator (NCO)

## Public Member Functions
| gr_nco ()
virtual | ~gr_nco ()
void | set_phase (double angle)
void | adjust_phase (double delta_phase)
void | set_freq (double angle_rate)
void | adjust_freq (double delta_angle_rate)
void | step ()
void | step (int n)
double | get_phase () const
double | get_freq () const
void | sincos (float *sinx, float *cosx) const
float | cos () const
float | sin () const
void | sin (float *output, int noutput_items, double ampl=1.0)
void | cos (float *output, int noutput_items, double ampl=1.0)
void | sincos (gr_complex *output, int noutput_items, double ampl=1.0)
void | sin (short *output, int noutput_items, double ampl=1.0)
void | cos (short *output, int noutput_items, double ampl=1.0)
void | sin (int *output, int noutput_items, double ampl=1.0)
void | cos (int *output, int noutput_items, double ampl=1.0)
## Protected Attributes
double | phase
double | phase_inc

## Constructor & Destructor Documentation

template<class o_type, class i_type>
gr_nco< o_type, i_type >::gr_nco | ( |  | ) | `[inline]`

template<class o_type, class i_type>
virtual gr_nco< o_type, i_type >::~gr_nco | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

template<class o_type, class i_type>
void gr_nco< o_type, i_type >::adjust_freq | ( | double | delta_angle_rate | ) | `[inline]`

template<class o_type, class i_type>
void gr_nco< o_type, i_type >::adjust_phase | ( | double | delta_phase | ) | `[inline]`

template<class o_type, class i_type>
void gr_nco< o_type, i_type >::cos | ( | int * | output,
|  | int | noutput_items,
|  | double | ampl = `1.0`
| ) |

template<class o_type, class i_type>
void gr_nco< o_type, i_type >::cos | ( | short * | output,
|  | int | noutput_items,
|  | double | ampl = `1.0`
| ) |

template<class o_type, class i_type>
void gr_nco< o_type, i_type >::cos | ( | float * | output,
|  | int | noutput_items,
|  | double | ampl = `1.0`
| ) |

template<class o_type, class i_type>
float gr_nco< o_type, i_type >::cos | ( |  | ) | const`[inline]`

template<class o_type, class i_type>
double gr_nco< o_type, i_type >::get_freq | ( |  | ) | const`[inline]`

template<class o_type, class i_type>
double gr_nco< o_type, i_type >::get_phase | ( |  | ) | const`[inline]`

template<class o_type, class i_type>
void gr_nco< o_type, i_type >::set_freq | ( | double | angle_rate | ) | `[inline]`

template<class o_type, class i_type>
void gr_nco< o_type, i_type >::set_phase | ( | double | angle | ) | `[inline]`

template<class o_type, class i_type>
void gr_nco< o_type, i_type >::sin | ( | int * | output,
|  | int | noutput_items,
|  | double | ampl = `1.0`
| ) |

template<class o_type, class i_type>
void gr_nco< o_type, i_type >::sin | ( | short * | output,
|  | int | noutput_items,
|  | double | ampl = `1.0`
| ) |

template<class o_type, class i_type>
void gr_nco< o_type, i_type >::sin | ( | float * | output,
|  | int | noutput_items,
|  | double | ampl = `1.0`
| ) |

template<class o_type, class i_type>
float gr_nco< o_type, i_type >::sin | ( |  | ) | const`[inline]`

template<class o_type, class i_type>
void gr_nco< o_type, i_type >::sincos | ( | gr_complex * | output,
|  | int | noutput_items,
|  | double | ampl = `1.0`
| ) |

template<class o_type, class i_type>
void gr_nco< o_type, i_type >::sincos | ( | float * | sinx,
|  | float * | cosx
| ) | const

template<class o_type, class i_type>
void gr_nco< o_type, i_type >::step | ( | int | n | ) | `[inline]`

template<class o_type, class i_type>
void gr_nco< o_type, i_type >::step | ( |  | ) | `[inline]`

## Member Data Documentation

template<class o_type, class i_type>
double gr_nco< o_type, i_type >::phase`[protected]`

template<class o_type, class i_type>
double gr_nco< o_type, i_type >::phase_inc`[protected]`

The documentation for this class was generated from the following file:

- gr_nco.h